Name:           lxde-common
Version:        0.4.2
Release:        b1
Summary:        Default configuration files for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
Requires:       lxsession lxpanel pcmanfm openbox xdg-utils
Requires:       lxmenu-data lxde-settings-daemon
# Use vendor's artwork
#Requires:       system-logos
%if 0%{?fedora} < 9
Requires:       desktop-backgrounds-basic
%else
Requires:       desktop-backgrounds-compat
# needed for new gdm fix
Requires:       xorg-x11-utils
%endif
Obsoletes:      %{name}-data <= 0.3.2.1-5
# needed because the lxde-common and lxde-common-data
# required each other with full n-v-r on F-11
Provides:       %{name} = 0.3.2.1-4.fc11
Provides:       %{name}-data = 0.3.2.1-4.fc11
BuildArch:      noarch

%description
This package contains the configuration files for LXDE, the Lightweight X11
Desktop Environment.


%package icon
Summary:        Default icon theme for LXDE
Group:          User Interface/Desktops
License:        LGPLv3
URL:            http://nuovext.pwsp.net/
Provides:       lxde-icon-theme
Provides:       nuoveXT2-icon-theme = 2.2

%description icon
nuoveXT2 is a very complete set of icons for several operating systems. It is
also the default icon-theme of LXDE, the Lightweight X11 Desktop Environment.


%prep
%setup -q
# Distro specific patches
#patch -p1 -b < berry/lxde-common-0.3.2.1-pcmanfm-config.patch
patch -p1 -b < berry/lxde-common-0.4-lxpanel-config.patch
patch -p1 -b < berry/lxde-common-0.4-openbox-menu.patch
#patch -p1 -b < berry/lxde-common-0.3.2.1-logout-banner.patch
#%patch14 -p1 -b berry/lxde-common-0.4-olpc-keyboard-shortcuts.patch
patch -p1 -b < berry/lxde-common-0.4-pulseaudio.patch
patch -p1 -b < berry/lxde-common-0.4-lxde-logout.desktop.patch
#%if 0%{?fedora} > 8
patch -p1 -b < berry/lxde-common-0.3.2.1-gdm-number-of-desktops.patch
#%endif


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      berry/lxde-lock-screen.desktop
# the icon theme is packaged in a different package
#rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/
rm -rf $RPM_BUILD_ROOT%{_datadir}/lxde/wallpapers/
mkdir $RPM_BUILD_ROOT%{_datadir}/wallpapers/
cp -a berry-bg/berry-bg-0.60.jpg $RPM_BUILD_ROOT%{_datadir}/wallpapers/Cat2.jpg

# install the icon theme
cd icon-theme
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
touch $RPM_BUILD_ROOT%{_datadir}/icons/nuoveXT2/icon-theme.cache


%clean
rm -rf $RPM_BUILD_ROOT


%post icon
touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null || :

%postun icon
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :
fi

%posttrans icon
gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :


%files
%defattr(-,root,root,-)
#%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/config
%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde
%{_datadir}/lxde/*
%{_datadir}/lxpanel/profile/LXDE/
#%{_mandir}/man1/*.1.gz
%{_datadir}/xsessions/LXDE.desktop
%{_datadir}/applications/lxde-*.desktop
%{_datadir}/wallpapers/*

%files icon
%defattr(-,root,root,-)
#%doc icon-theme/AUTHORS icon-theme/COPYING
%dir %{_datadir}/icons/nuoveXT2/
%{_datadir}/icons/nuoveXT2/*/*
%{_datadir}/icons/nuoveXT2/index.theme
%ghost %{_datadir}/icons/nuoveXT2/icon-theme.cache


%changelog
* Thu May 6 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
